' RecycleBinSizeByDrive.VBS V1.02 (C) yoshioka.teruo@nifty.com 2005-04-22
' RecycleBinSizeByDrive.VBS shows size of recycle bin of each drive.
' Usage: Start RecycleBinSizeByDrive.VBS

Option Explicit
Const FixedDisk=2
Const CDRom=4
Dim fso
Dim Drive
Dim Folder
Dim rows:rows=Array()
Dim size
Dim s
Dim name,path

Set fso=CreateObject("Scripting.FileSystemObject")
For Each Drive In fso.Drives
  Select Case Drive.DriveLetter
  Case "A","B"
  Case Else
    If (Drive.DriveType=FixedDisk Or Drive.DriveType=CDRom) And _
        Drive.IsReady Then
      For Each name In Array("Recycled","Recycler")
        path=Drive.Path & "\" & name
        If fso.FolderExists(path) Then
          Set Folder=fso.GetFolder(path)
          Size=Size+Folder.Size
          s=FormatNumber(Folder.Size,0)
          ReDim Preserve rows(UBound(rows)+1)
          rows(UBound(rows))=Drive.Path & Space(15-len(s)) & s
        End If
      Next
    End If
  End Select
Next
ReDim Preserve rows(UBound(rows)+1)
rows(UBound(rows))=String(17,"-")
s=FormatNumber(Size,0)
ReDim Preserve rows(UBound(rows)+1)
rows(UBound(rows))=Space(17-len(s)) & s
WScript.Echo Join(rows,vbLf)
